import "dart:async";

import "package:libryancheung/libryancheung.dart";
import "package:test/test.dart";

void main() {
  group("Person", () {
    test(".greet print a greet message", () {
      var person = Person("Ryan");

      expect(person.greet("Bob"), equals('Hello, Bob. I am Ryan.'));
    });

    test("asyncGreet() print a greet message too", () {
      var person = Person("Ryan");

      var futureString = person.asyncGreet('Bob');
      expect(futureString, completion(equals('Hello, Bob. I am Ryan.')));
    });
  });
}
